#Niche Modeling Workshop 
#Climate Layers Processing Script

#install the packages we need (only do it once)
install.packages("raster")
install.packages("dismo")
install.packages("shapefiles")

#load all the libraries we will need here (each time you oepn the script)
library(raster)
library(shapefiles)
library(dismo)

#set the working directory
#setwd("______") 

####Download BioClim layers directly from worldclim
bio <- getData('worldclim', var='bio', res = 2.5)
###Crop BioClim layers to Shapefile from 1.DataCleaning
bioShape <- crop(bio, Shape)
plot(bioShape)

#### Now let's do a correlation analysis to try and reduce the number of layers for MaxEnt
corr<- layerStats(bioShape, 'pearson', na.rm=TRUE)
c <- corr$`pearson correlation coefficient`
write.csv(c, "correlationShape.csv")

##Open the correlationShape.csv in Excel and remove all high (>|0.8|) correlations

